<!DOCTYPE html>
<html>
  <head>
    <title>{{ todo_list.name }} - Details</title>
    <style>
      table {
        width: 100%;
        border-collapse: collapse;
      }
      th,
      td {
        border: 1px solid black;
        padding: 8px;
        text-align: left;
      }
      th {
        background-color: #f2f2f2;
      }
    </style>
  </head>
  <body>
    <main>
      <div>
        <h1>{{ todo_list.name }}</h1>
        <p>
          <a href="{% url 'todo_list_update' todo_list.id %}">Edit</a> |
          <a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a>
        </p>
        <table>
          <thead>
            <tr>
              <th>Task</th>
              <th>Due date</th>
            </tr>
          </thead>
          <tbody>
            {% for item in todo_items %}
            <tr>
              <td>{{ item.task }}</td>
              <td>{{ item.due_date|date:"Y-m-d H:i" }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
